### Class

# AppStream Category

#### Description

    class AppStream.Category : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### as_category_new

Creates a new `AsCategory`.

#### Instance methods

###### as_category_add_child

Add a subcategory to this category.

###### as_category_add_component

Add a component to this category.

###### as_category_add_desktop_group

Add a desktop-file category to this `AsCategory`.

###### as_category_get_children

No description available.

###### as_category_get_components

Get list of components which have been sorted into this category.

###### as_category_get_desktop_groups

No description available.

###### as_category_get_icon

Get the stock icon name for this category.

###### as_category_get_id

Get the ID of this category.

###### as_category_get_name

Get the name of this category.

###### as_category_get_summary

Get the summary (short description) of this category.

###### as_category_has_children

Test for sub-categories.

###### as_category_has_component

Check if the exact `AsComponent` `cpt` is a member of this category already.

###### as_category_remove_child

Drop a subcategory from this `AsCategory`.

###### as_category_set_icon

Set the stock icon name for this category.

###### as_category_set_id

Set the ID of this category.

###### as_category_set_name

Set the name of this category.

###### as_category_set_summary

Get the summary (short description) of this category.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### AppStream.Category:children

No description available.

###### AppStream.Category:icon

No description available.

###### AppStream.Category:id

No description available.

###### AppStream.Category:name

No description available.

###### AppStream.Category:summary

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamCategoryClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.